import Vue from 'vue'
// import router from './router'
import store from './store'
// import { sync } from 'vuex-router-sync'
import Meta from 'vue-meta'
import * as VueThreejs from 'vue-threejs'

import App from './App'

import 'assets/css/mdi/css/materialdesignicons.css'
// import 'mdi/font'
import 'assets/css/app.scss'

Vue.use(Meta)
Vue.use(VueThreejs)

// https://stackoverflow.com/a/43193455
var env3d = {
  scene: null,
  renderer: null,
  camera: null
}
Vue.prototype.$env3d = env3d

// sync(store, router) // done. Returns an unsync callback fn
// sync(store)

new Vue({
  // router,
  store,
  render: h => h(App)
}).$mount('#app')
